Enneo

Team

Update a team

PATCH /team/{id}

PATCH /team/{id}

Path parameters

idintegerpathrequired

No description.

Request body

idintegerbody

The unique identifier of the team

namestringbody

The name of the team

parentintegerbody

The parent id of the team

descriptionstringbody

The description of the team

settingsobjectbody

No description.

Request Example

{
  "id": 1,
  "name": "Support",
  "parent": 0,
  "description": "Allgemeine Fragen",
  "settings": {
    "roleId": 1,
    "skills": {
      "tagIds": [
        1,
        2
      ],
      "channels": [
        "email",
        "chat"
      ]
    },
    "supersetRole": "analyticsReadAll",
    "inheritParentalSettings": true
  }
}

Responses

200 — Successful operation

Response Example

{
  "success": true
}

500 — Internal error